Past
/v4/net-load/pastGet the net load for a zone at a given datetime
Query Parameters
The datetime to get the data for. By default this needs to be the specific hour unless another temporal granularity is requested.
An Electricity Maps zone key.
The temporal granularity of the data to get.
Latitude of the location to get the data for.
Longitude of the location to get the data for.
The type of emission factors to use.
Whether values are flow-traced. true accounts for electricity flows and returns consumption-based values; false returns values for the zone's own generation only.
If true, the fallback IP-based zone lookup will not be performed.
If true, the response will exclude estimated data points
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/net-load/past?datetime=2024-05-19T03%3A00%3A00Z"{ "zone": "DK-DK2", "datetime": "2024-05-19T03:00:00.000Z", "createdAt": "2024-05-16T03:48:50.419Z", "updatedAt": "2025-07-25T12:32:42.039Z", "value": 4321, "unit": "MW", "source": "entsoe.eu", "isEstimated": false, "estimationMethod": "string", "temporalGranularity": "hourly", "flowTraced": true, "aggregationPeriod": "hourly"}Playground
/v4/net-load/pastHistory GET
Get the last 24 hours of net load for a zone
Past range GET
Get the net load for a zone and a given datetime range. > [!CAUTION] > The time range a single request may cover depends on the granularity: 3 days for `5_minutes`, 4 days for `15_minutes`, 10 days for `hourly`, 365 days for `daily`, and 30 years for `monthly`, `quarterly` and `yearly`. > If you need more data, **you can loop over time ranges**.